Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.27 veröffentlicht (22.06.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
1.8.21 mit MariaDB 10.5 kompatibel?
#1
Hallöchen,

mein Host will den Server auf MariaDB 10.5 umstellen anstelle der MySQL 5.7.34

ich würde gern wissen ob diese Version der MyBB mit MariaDB 10.5 kompatibel ist?

ich habe noch keine Erfahrung mit solchem Datenbankwechsel gemacht. ich hatte bisher immer MySQL auf MySQL bei eventuellen Host / Serverwechseln...

es wäre klasse wenn ich das erfahren könnte ob die beiden Versionen sich vertragen, also die MyBB 1.8.21 mit der MariaDB 10.5

Danke im Voraus
Zitieren
#2
Updates der Datenbank sind weniger kritisch als Versionssprünge bei PHP, trotzdem kann ich nicht garantieren, dass eine veraltete MyBB-Version mit einer PHP- oder MariaDB-Version funktioniert, die bei MyBB-Release noch gar nicht veröffentlicht war.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
Die letzte XAMPP-Version kam mit MariaDB 10.4
So könntest du wenigstens mal die Version 10.4 testen.
Alternative wäre ein MyBB-Update, was in diesem Fall auch sehr angeraten wäre. Wink
Zitieren
#4
(24.07.2021, 10:01)StefanT schrieb: Updates der Datenbank sind weniger kritisch als Versionssprünge bei PHP, trotzdem kann ich nicht garantieren, dass eine veraltete MyBB-Version mit einer PHP- oder MariaDB-Version funktioniert, die bei MyBB-Release noch gar nicht veröffentlicht war.

(24.07.2021, 10:35)Schnapsnase schrieb: Die letzte XAMPP-Version kam mit MariaDB 10.4
So könntest du wenigstens mal die Version 10.4 testen.
Alternative wäre ein MyBB-Update, was in diesem Fall auch sehr angeraten wäre. Wink

ich danke euch beiden für die Antworten

die aktuell anliegende PHP-Version ist und bleibt auch auf dme neuen Space 7.1.33-nmm1

allerdings die Datenbank wäre dann neu auf

MySQL-Version 10.5.11-MariaDB-1:10.5.11+maria~focal-log

innodb_flush_log_at_trx_commit 2

so wurde es jedenfalls angekündigt, was das Update der MyBB angeht, das wird nicht einfach, weil die Handänderungen ja überschrieben würden und bei den Mengen an Änderungen die seit 2014 gemacht wurden, bin ich nicht sicher das ich alles erwischen würde

ich habe schon einmal versucht damals die MyBB 1.8.24 auf PHP 7.4.19 zu erreichen mit dem Ergebnis das die Seite nichts mehr tun wollte, nicht mal die Standardfunktionen wollten da noch richtig arbeiten .. meine Technik-Fee die mir da sonst helfen würde ist leider beruflich und privat schwer eingespannt ..

ich wollte ja auch nur wissen ob der DB-Wechsel da was schrotten würde, die PHP-Version würde ja 1 zu 1 übernommen werden ...

die Änderungen für die 7.4 habe ich nicht mal allein geschafft, weil ich nicht wusste wo und wie .. darum läuft die Seite auf der PHP7.1 auf der sie installiert wurde

wenn nun der Wechsel von dem MySQL 5.7.34 auf MariaDB noch zusätzlich Komplikationen machen würde

müsste ich nach Alternativen suchen für jede Version MyBB immer wieder neu coden und dann für die nächste wieder schlaucht erheblich .. Ein Importer würde nützlich sein, der die Daten und Inhalte in die neue Version importieren würde ..selbst wenn es Schritt für Schritt von der 21 über 22 23 24 etc. bis zur 27 notwendig wäre ..

aber der importer arbeitet ja nur bis zur 1.8.15 und PHP 7.0 - falls ich da keine Neufassung verpasst habe?

deswegen kann ich da nicht einfach sagen "nehm ich eine neuinstallation und hole mir die Daten rüber - fertig"

das von Hand fummeln schlaucht mich, da ich leider gesundheitlich angeschlagen bin, mit nur knapp 50% auf 1 Auge, habe ich nicht mehr wie damals noch Möglichkeit Zeilenweise die Templates durchzugehen und die Änderungen einzufummeln
Zitieren
#5
(24.07.2021, 14:44)FlederMaus schrieb: das von Hand fummeln schlaucht mich, da ich leider gesundheitlich angeschlagen bin,

Die Wahrscheinlichkeit ist gegeben, dass es auch mit MariaDB läuft.
Es kann dir hier aber niemand versprechen!

Ich würde dir bei einem Update helfen.
Problem:
Ich habe die nächsten 2 Wochen keine Zeit dafür und müsste mich natürlich vorher auch in dein Board einarbeiten und ggf. mit einem Testforum arbeiten.

Das Angebot steht, aber du musst etwas Zeit mitbringen. Wink
Zitieren
#6
(24.07.2021, 14:51)Schnapsnase schrieb: Die Wahrscheinlichkeit ist gegeben, dass es auch mit MariaDB läuft.

Es kann dir hier aber niemand versprechen!

Das Angebot steht, aber du musst etwas Zeit mitbringen. Wink

Vielen Dank für das Angebot, das ist bereits geklärt, wie wir das dann machen, das Team hat mich nicht im Stich gelassen, ist auch ein Klasse Team Wink

Was das mit dem läuft auf MariaDB angeht, bezüglich der Neuen Version ist mir das bereits vom Host zugesichert, da die alle Neuinstallationen der Software dort auf MariaDB machen und das läuft stabil und problemlos ..

das Problem war halt nur von der 21 auf die 27 zu kommen, aber siehe oben, das ist bereits geklärt wie wir das dann lösen könnten

Mein Problem ist ja das die Handänderungen nicht von mir gemacht waren, sonst wäre das auch kein problem das zu machen, wenn ich weiß was wo geändert ist, aber das wurde bei den Umstellungen damals versäumt eine Dokumentation zu machen, das auch alle wissen was wo wie .. deswegen konnte ich das nicht alleine ..neben der Gesundheit zusätzlich .. aber das ist wie gesagt geklärt, das Team hat das im Griff.

Danke für Eure Antworten und das Angebot zu helfen im Besonderen, das ist auch nicht selbstverständlich sowas ..
Zitieren